package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目出勤对象 sur_project_work_attendance
 * 
 * @author JiangYuQi
 * @date 2023-08-09
 */
public class SurProjectWorkAttendance extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 劳务人员 */
    @Excel(name = "劳务人员")
    private Long servicePersonnel;

    /** 监理人员 */
    @Excel(name = "监理人员")
    private Long supervisorPersonnel;

    /** 总包人员 */
    @Excel(name = "总包人员")
    private Long contractorPersonnel;

    /** 工作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "工作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workDate;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    private String projectName;
    private String deptName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setServicePersonnel(Long servicePersonnel) 
    {
        this.servicePersonnel = servicePersonnel;
    }

    public Long getServicePersonnel() 
    {
        return servicePersonnel;
    }
    public void setSupervisorPersonnel(Long supervisorPersonnel) 
    {
        this.supervisorPersonnel = supervisorPersonnel;
    }

    public Long getSupervisorPersonnel() 
    {
        return supervisorPersonnel;
    }
    public void setContractorPersonnel(Long contractorPersonnel) 
    {
        this.contractorPersonnel = contractorPersonnel;
    }

    public Long getContractorPersonnel() 
    {
        return contractorPersonnel;
    }
    public void setWorkDate(Date workDate) 
    {
        this.workDate = workDate;
    }

    public Date getWorkDate() 
    {
        return workDate;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("servicePersonnel", getServicePersonnel())
            .append("supervisorPersonnel", getSupervisorPersonnel())
            .append("contractorPersonnel", getContractorPersonnel())
            .append("workDate", getWorkDate())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
